import React, { useState } from "react";
import useLanguage from "../../hooks/useLanguage";

function SelectInputSm({
  name,
  id,
  handler,
  value,
  options = ["1", "2", "3"],
}) {
  const language = useLanguage();
  const [isOpen, setIsOpen] = useState(false);
  return (
    <div className=" flex relative w-fit  bg-white bg-opacity-20  cursor-pointer transition-all duration-500 ">
      <div className="z-50 relative">
        <div
          onClick={() => setIsOpen(!isOpen)}
          className={` ${
            isOpen ? "block" : "hidden"
          } w-full h-full fixed    bg-opacity-30 top-0 left-0 `}
        />
        <div>
          <div
            className={`min-w-[100px] flex justify-between z-10 bg-transparent outline-none focus:outline-none p-2 text-sm text-dark-300 border-[#F8EBFF] ${
              isOpen
                ? " border-t border-l border-r rounded-t "
                : "border  rounded"
            }`}
            onClick={() => setIsOpen(!isOpen)}
          >
            <p name={name} id={id} className=" text-[#65656C] notranslate">
              {language["Type"]} :
            </p>
            <p name={name} id={id} className=" text-primary-200">
              {value ? value : options[0]}
            </p>
          </div>
          <div
            className={`${
              isOpen ? `block` : "hidden"
            } z-10 transition-all duration-500 origin-top openAnim absolute w-full border-[#F8EBFF] border-b border-l border-r rounded-b bg-white text-dark-300 text-sm`}
          >
            {options.map((option) => (
              <p
                key={option}
                value={option}
                onClick={() => {
                  setIsOpen(!isOpen);
                }}
                className=" hover:bg-[#FDF9FF] p-2"
              >
                {option}
              </p>
            ))}
          </div>
        </div>
        <label htmlFor={id} className="absolute right-2 z-0 top-[10px]"></label>
      </div>
    </div>
  );
}

export default SelectInputSm;
